Back to Reddit
Apify·Reddit

Pull Reddit Posts

/trudax/reddit-scraper-liteasync$0.0057 / result

Pay Per Result, unlimited Reddit web scraper to crawl posts, comments, communities, and users without login. Limit web scraping by number of posts or items and extract all data in a dataset in multiple formats. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
FieldTypeRequiredDescription
startUrlsarrayIf you already have URL(s) of page(s) you wish to scrape, you can set them here. If you want to use the search field below, remove all startUrls here.
skipCommentsbooleanThis will skip scrapping comments when going through posts (default false)
skipUserPostsbooleanThis will skip scrapping user posts when going through user activity (default false)
skipCommunitybooleanThis will skip scrapping community info but will still get community posts if they were not skipped. (default false)
includeMediaLinksbooleanThis will include upVotes, upVoteRatio, imageUrls, videoUrls, and numberOfComments when scraping posts. Enabling this will use a more detailed extraction method, which may affect performance. (default false)
searchesarrayHere you can provide a search query which will be used to search Reddit`s topics.
searchCommunityNamestringIf provided, the search will be performed only inside this community (e.g., 'programming').
ignoreStartUrlsbooleanMainly used as a fix for ignoring starUrl on Zapier (default false)
searchPostsbooleanWill search for posts with the provided search (default true)
searchCommentsbooleanWill search for comments with the provided search (default false)
searchCommunitiesbooleanWill search for communities with the provided search (default false)
searchUsersbooleanWill search for users with the provided search (default false)
searchMediabooleanWill search for media with the provided search (default false)
sortstring (, relevance, hot, top, new, rising, comments)Sort search by Relevance, Hot, Top, New or Comments (default "new")
timestring (all, hour, day, week, month, year)Filter posts by last hour, week, day, month or year
includeNSFWbooleanYou can choose to include or exclude NSFW content from your search (default true)
maxItemsintegerThe maximum number of items that will be saved in the dataset. If you are scrapping for Communities&Users, remember to consider that each category inside a community is saved as a separated item. (default 10)
maxPostCountintegerThe maximum number of posts that will be scraped for each Posts Page or Communities&Users URL (default 10)
postDateLimitstringUse this value to only retrieve posts published after a specific date.
commentDateLimitstringUse this value to only retrieve comments published after a specific date inside a post.
maxCommentsintegerThe maximum number of comments that will be scraped for each Comments Page. If you don't want to scrape comments you can set this to zero. (default 10)
maxCommunitiesCountintegerThe maximum number of `Communities`'s pages that will be scraped if your search or startUrl is a Communities type. (default 2)
maxUserCountintegerThe maximum number of `Users`'s pages that will be scraped. (default 2)
scrollTimeoutintegerSet the timeout in seconds in which the page will stop scrolling down to load new items (default 40)
navigationTimeoutintegerSet the navigation timeout in seconds for page loading (default 60)
proxyobjectEither use Apify proxy, or provide your own proxy servers. (default {"useApifyProxy":true,"apifyProxyGroups":["RESIDENTIAL"]})
debugModebooleanActivate to see detailed logs (default false)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/trudax/reddit-scraper-lite","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.